netatalk: adoublehelper.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
adoublehelper.h File Reference
`#include <inttypes.h>`
`#include <sys/types.h>`

Go to the source code of this file.

## Macros
#define | AD_EA_META "org.netatalk.Metadata"
#define | AD_EA_META_LEN (sizeof(AD_EA_META) - 1)
#define | AD_EA_RESO "org.netatalk.ResourceFork"
#define | NOT_NETATALK_EA(a)

## Functions
int | delete_unix_adouble (char *path, char *name)
int | delete_unix_dir (char *path, char *name)
int | folder_with_ro_adouble (uint16_t vol, int did, char *name, char *file)
int | delete_ro_adouble (uint16_t vol, int did, char *file)
int | delete_unix_md (char *path, char *name, char *file)
int | delete_unix_rf (char *path, char *name, char *file)
int | delete_unix_file (char *path, char *name, char *file)
int | rename_unix_file (char *path, char *dir, char *src, char *dst)
int | unlink_unix_file (char *path, char *name, char *file)
int | symlink_unix_file (char *target, char *path, char *source)
int | chmod_unix_meta (char *path, char *name, char *file, mode_t mode)
int | chmod_unix_rfork (char *path, char *name, char *file, mode_t mode)
int | sys_lremovexattr (const char *path, const char *name)

## Macro Definition Documentation

## ◆ AD_EA_META

#define AD_EA_META "org.netatalk.Metadata"

## ◆ AD_EA_META_LEN

#define AD_EA_META_LEN (sizeof(AD_EA_META) - 1)

## ◆ AD_EA_RESO

#define AD_EA_RESO "org.netatalk.ResourceFork"

## ◆ NOT_NETATALK_EA

#define NOT_NETATALK_EA | ( |  | a | ) |

Value:
(strcmp((a), AD_EA_META) != 0) && (strcmp((a), AD_EA_RESO) != 0)
AD_EA_META
#define AD_EA_META
Definition ea.h:82
AD_EA_RESO
#define AD_EA_RESO
Definition ea.h:89

## Function Documentation

## ◆ chmod_unix_meta()

int chmod_unix_meta | ( | char * | path,
|  | char * | name,
|  | char * | file,
|  | mode_t | mode )
| extern

## ◆ chmod_unix_rfork()

int chmod_unix_rfork | ( | char * | path,
|  | char * | name,
|  | char * | file,
|  | mode_t | mode )
| extern

## ◆ delete_ro_adouble()

int delete_ro_adouble | ( | uint16_t | vol,
|  | int | did,
|  | char * | file )
| extern

## ◆ delete_unix_adouble()

int delete_unix_adouble | ( | char * | path,
|  | char * | name )
| extern

Delete metadata of directory

## ◆ delete_unix_dir()

int delete_unix_dir | ( | char * | path,
|  | char * | name )
| extern

delete an empty directory

## ◆ delete_unix_file()

int delete_unix_file | ( | char * | path,
|  | char * | name,
|  | char * | file )
| extern

delete a file

## ◆ delete_unix_md()

int delete_unix_md | ( | char * | path,
|  | char * | name,
|  | char * | file )
| extern

delete metadata

## ◆ delete_unix_rf()

int delete_unix_rf | ( | char * | path,
|  | char * | name,
|  | char * | file )
| extern

delete a resource fork

## ◆ folder_with_ro_adouble()

int folder_with_ro_adouble | ( | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | char * | file )
| extern

create a folder with r-xr-xr-x .AppleDouble

## ◆ rename_unix_file()

int rename_unix_file | ( | char * | path,
|  | char * | dir,
|  | char * | src,
|  | char * | dst )
| extern

Rename a file and its resource fork

## ◆ symlink_unix_file()

int symlink_unix_file | ( | char * | target,
|  | char * | path,
|  | char * | source )
| extern

## ◆ sys_lremovexattr()

int sys_lremovexattr | ( | const char * | path,
|  | const char * | name )

## ◆ unlink_unix_file()

int unlink_unix_file | ( | char * | path,
|  | char * | name,
|  | char * | file )
| extern

unlink file only, dont care about adouble file